#!/usr/bin/env kjscmd

function newWeather( station )
{
	var temp = client.call("KWeatherService", "WeatherService", "temperature(QString)", "KMKE");
	var name = client.call("KWeatherService", "WeatherService", "stationName(QString)", "KMKE");
	var label = new QLabel(this);
	label.text = "The temperature at " + name + " is " + temp;
	label.show();
}

var client = new DCOPClient(this);
if ( client.attach() )
{
	var dcop = new DCOPInterface(this, "weather");
	dcop.publish("void newWeather(QString)");

	client.connectDCOPSignal("KWeatherService", "WeatherService", "fileUpdate(QString)",
		 "weather","newWeather(QString)");


	client.send("KWeatherService", "WeatherService", "update(QString)", "KMKE");

	application.exec();
}
